Count In Range
Statistical Functions

## Functions

NppStatus | nppsCountInRangeGetBufferSize_32s (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsCountInRange_32s. More...
NppStatus | nppsCountInRange_32s (const Npp32s *pSrc, int nLength, int *pCounts, Npp32s nLowerBound, Npp32s nUpperBound, Npp8u *pDeviceBuffer)
| Computes the number of elements whose values fall into the specified range on a 32-bit signed integer array. More...

## Detailed Description

## Function Documentation

NppStatus nppsCountInRange_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | int * | pCounts,
|  | Npp32s | nLowerBound,
|  | Npp32s | nUpperBound,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Computes the number of elements whose values fall into the specified range on a 32-bit signed integer array.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pCounts | Pointer to the number of elements.
  nLowerBound | Lower bound of the specified range.
  nUpperBound | Upper bound of the specified range.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsCountInRangeGetBufferSize_32s to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCountInRangeGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsCountInRange_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

Copyright © 2009-2017 NVIDIA Corporation